Bug 523660 - ENABLE_PERSISTENT_SESSION and DISABLE_PERSISTENT_SESSION broken in /usr/libexec/nx/node
Summary: ENABLE_PERSISTENT_SESSION and DISABLE_PERSISTENT_SESSION broken in /usr/libex...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freenx-server
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 11:22 UTC by JM
Modified: 2009-12-18 04:34 UTC (History)
3 users (show)

Fixed In Version: 0.7.3-17.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 04:20:26 UTC


Attachments (Terms of Use)

Description JM 2009-09-16 11:22:54 UTC
In the file /usr/libexec/nx/node the line 558 looks like this

PATH="$PATH_BIN:$PATH" $PATH_BIN/nxagent $R -name "NX - $user@$SERVER_NAME:$display - $session (GPL Edition)" -option "$USER_FA
KE_HOME/.nx/C-$sess_id/options" $B $FP $AGENT_EXTRA_OPTIONS_X :$display 2>&3 &

the original line (before the patch in the SRPM) looks like this:

PATH="$PATH_BIN:$PATH" $PATH_BIN/nxagent $P $R -name "NX - $user@$SERVER_NAME:$display - $session (GPL Edition)" -option "$USER_F
AKE_HOME/.nx/C-$sess_id/options" $K $G $B $FP $AGENT_EXTRA_OPTIONS_X :$display 2>&3 &

So the patch in the SRPM of freenx-server removes "$P", "$K" and "$G" from the command line of the "nxagent", the problem is that "$P" disables or enables persistent sessions via ENABLE_PERSISTENT_SESSION and DISABLE_PERSISTENT_SESSION in /etc/nxserver/node.conf... without "$P" the session is _always_ a persistent connection, no matter which names you put in ENABLE_PERSISTENT_SESSION and DISABLE_PERSISTENT_SESSION.

I added "$P" back to the command line of the nxagent and now I can again control which users can use persistent sessions or for which users I can deny such a connection.

ENABLE_PERSISTENT_SESSION adds a --persistent to "$P" and DISABLE_PERSISTENT_SESSION adds a --nopersistent to "$P".

Btw. the variable "$K" controls the keyboard layout and "$G" controls the screen geometry, I don't know why the patch removes these options from the command line but at least for "$P" I assumes it's a bug...
  
The version of freenx-server is "freenx-server-0.7.3-15.fc10".

Comment 1 Aram Agajanian 2009-10-05 20:29:48 UTC
I also found this bug.  It has apparently been fixed on Ubuntu.

https://lists.launchpad.net/freenx-team/msg00233.html

http://bazaar.launchpad.net/~freenx-team/freenx-server/teambzr/revision/78

Comment 2 Bug Zapper 2009-11-18 12:14:47 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 JM 2009-11-18 18:57:48 UTC
The bug still exists in Fedora 11 in file

/usr/libexec/nx/nxnode

line 558.

Comment 4 Fedora Update System 2009-11-23 12:12:04 UTC
freenx-server-0.7.3-17.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/freenx-server-0.7.3-17.fc12

Comment 5 Fedora Update System 2009-11-23 12:12:29 UTC
freenx-server-0.7.3-17.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/freenx-server-0.7.3-17.fc11

Comment 6 Fedora Update System 2009-11-23 12:12:50 UTC
freenx-server-0.7.3-17.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/freenx-server-0.7.3-17.fc10

Comment 7 Fedora Update System 2009-11-25 14:54:42 UTC
freenx-server-0.7.3-17.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freenx-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12032

Comment 8 Fedora Update System 2009-11-25 14:59:35 UTC
freenx-server-0.7.3-17.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freenx-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-12041

Comment 9 Fedora Update System 2009-11-25 15:17:40 UTC
freenx-server-0.7.3-17.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update freenx-server'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12123

Comment 10 Fedora Update System 2009-12-18 04:20:03 UTC
freenx-server-0.7.3-17.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-12-18 04:34:33 UTC
freenx-server-0.7.3-17.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.